<?php

include('../common/parseargs.php');

$USAGE=" --name=<volname> --desc=<voldesc> --path=<volpath> --quotatype=<quotatype> --hardquota=<hardquota> --softquota=<softquota>";

include('../common/basicargcheck.php');

if ($argc < 6) { 
	usage($argv[0],$USAGE);
	exit(1);
}

#arguments
$VOLNAME=$args_array['name'];
$VOLDESC=$args_array['desc'];
$VOLPATH=$args_array['path'];
$QUOTATYPE=$args_array['quotatype'];
$HARDQUOTA=$args_array['hardquota'];
$SOFTQUOTA=$args_array['softquota'];

if (strlen($VOLNAME) < 1) {
	echo "ERROR: --name=<volname> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($VOLDESC) < 1) {
	echo "ERROR: --desc=<voldesc> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($VOLPATH) < 1) {
	echo "ERROR: --path=<volpath> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($QUOTATYPE) < 1) {
	echo "ERROR: --quotatype=<quotatype> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($HARDQUOTA) < 1) {
	echo "ERROR: --hardquota=<hardquota> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

if (strlen($SOFTQUOTA) < 1) {
	echo "ERROR: --softquota=<softquota> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}
try{
	$client = new soapclient("https://$HOST:$PORT/Volume?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1
		 )
	);


	$response=$client->createVolume(
		array(
		'name'=>"$VOLNAME", 
		'description'=>"$VOLDESC", 
		'path'=>"$VOLPATH",
		'quotaType'=>"$QUOTATYPE",
		'hardQuota'=>"$HARDQUOTA",
		'softQuota'=>"$SOFTQUOTA"
	 	)
	);

	echo "Successfully created Volume: $VOLNAME\n";

	exit(0);

} 

catch (SoapFault $exception)
{
	echo $exception;
	exit(1);
}

?>
